# -*- rpm-spec -*-
# $Id: xemacs-emacspeak,v 1.11 2005/11/06 22:12:13 me Exp $

%undefine snapshot
%define major 22

Name: xemacs-emacspeak
Version: %major.0
Release: alt0.1

%define_xemacs_site_package emacspeak

Summary:  Synthesized speech output for XEmacs
License: Distributable
Group: Editors
Url: http://emacspeak.sourceforge.net

Requires: aplay aumix-minimal eflite >= 0.3.9-alt1
Requires: xemacs-base xemacs-fsf-compat xemacs-mail-lib

BuildRequires: aplay aumix-minimal
BuildRequires: perl-HTML-TableExtract perl-libwww
BuildRequires: xemacs-mule

BuildRequires: xemacs-base
BuildRequires: xemacs-bbdb
BuildRequires: xemacs-calendar
BuildRequires: xemacs-cc-mode
BuildRequires: xemacs-dictionary
BuildRequires: xemacs-dired
BuildRequires: xemacs-ecb
BuildRequires: xemacs-ediff
BuildRequires: xemacs-edit-utils
BuildRequires: xemacs-erc
BuildRequires: xemacs-eshell
BuildRequires: xemacs-eterm
BuildRequires: xemacs-forms
BuildRequires: xemacs-fsf-compat
BuildRequires: xemacs-gnus
BuildRequires: xemacs-hyperbole
BuildRequires: xemacs-ibuffer
BuildRequires: xemacs-ilisp
BuildRequires: xemacs-ispell
BuildRequires: xemacs-jde
BuildRequires: xemacs-misc-games
BuildRequires: xemacs-mpg123 >= 1.44-alt0.2
BuildRequires: xemacs-net-utils
BuildRequires: xemacs-os-utils
BuildRequires: xemacs-pcl-cvs
BuildRequires: xemacs-perl-modes
BuildRequires: xemacs-prog-modes
BuildRequires: xemacs-psgml
BuildRequires: xemacs-python-modes
BuildRequires: xemacs-re-builder
BuildRequires: xemacs-rmail
BuildRequires: xemacs-scheme
BuildRequires: xemacs-semantic
BuildRequires: xemacs-sh-script
BuildRequires: xemacs-slider
BuildRequires: xemacs-speedbar
BuildRequires: xemacs-supercite
BuildRequires: xemacs-texinfo
BuildRequires: xemacs-text-modes
BuildRequires: xemacs-tm
BuildRequires: xemacs-vc
BuildRequires: xemacs-view-process
BuildRequires: xemacs-vm
BuildRequires: xemacs-w3

Source0: %xemacs_package-%{?snapshot:%snapshot}%{?!snapshot:%major}.tar.bz2
Patch0: %xemacs_package-%version-alt-xemacs-el.patch
Patch1: %xemacs_package-%version-alt-make.patch

%description
Emacspeak is a Linux application that allows users to get synthesized speech
output inside the XEmacs desktop environment.

%prep
%setup -qn %xemacs_package-%version
%patch0 -p1 -b ..xemacs
%patch1 -p1 -b ..make
find . -type f -a '(' -name \*~ -o -name .cvsignore\* -o -name .nosearch -o -name .\#\* ')' -delete

%build
%__make DTK_PROGRAM=%__cat

%install
%xemacs_makeinstall libdir=%buildroot%_xemacs_package_dir
%xemacs_make_pkgel
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Mon Oct 31 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 22.0-alt0.1
- first attempt

